Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CollisionBox Class Reference

A cuboid collision volume or object. More...

Inheritance diagram for CollisionBox:

List of all members.

## Public Member Functions
| CollisionBox (Point3 const min, Point3 const max)
| Create the Box by Specifying the Diagonal Points.
| CollisionBox (Point3 const center, float x, float y, float z)
| Create the Box by giving a Center and distances of of each of the sides of box from the Center.
Point3 const | getCenter ()
int | getNumPlanes ()
| Returns 6: the number of faces of a rectangular solid.
int | getNumPoints ()
| Returns 8: the number of vertices of a rectangular solid.
LPlanef | getPlane (int n)
| Returns the nth face of the rectangular solid.
Point3 | getPoint (int n)
| Returns the nth vertex of the OBB.
Point3 | getPointAabb (int n)
| Returns the nth vertex of the Axis Aligned Bounding Box.
float | getRadius ()
| setCenter (float x, float y, float z)
| setCenter (Point3 const center)
LPlanef | setPlane (int n)
| Creates the nth face of the rectangular solid.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A cuboid collision volume or object.

## Constructor & Destructor Documentation

CollisionBox | ( | Point3 const | min,
|  | Point3 const | max
| ) |  |

Create the Box by Specifying the Diagonal Points.

CollisionBox | ( | Point3 const | center,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

Create the Box by giving a Center and distances of of each of the sides of box from the Center.

## Member Function Documentation

Point3 const getCenter | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from CollisionSolid.

int getNumPlanes | ( |  | ) |

Returns 6: the number of faces of a rectangular solid.

int getNumPoints | ( |  | ) |

Returns 8: the number of vertices of a rectangular solid.

LPlanef getPlane | ( | int | n | ) |

Returns the nth face of the rectangular solid.

Point3 getPoint | ( | int | n | ) |

Returns the nth vertex of the OBB.

Point3 getPointAabb | ( | int | n | ) |

Returns the nth vertex of the Axis Aligned Bounding Box.

float getRadius | ( |  | ) |

setCenter | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

setCenter | ( | Point3 const | center | ) |

LPlanef setPlane | ( | int | n | ) |

Creates the nth face of the rectangular solid.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties